> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zeckta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send OTP

> Generates a unique one-time password and delivers it to the specified destination number.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/messaging/otp/request
openapi: 3.1.0
info:
  title: Zeckta Messaging API
  description: |
    Zeckta Messaging API provides SMS messaging,
    OTP verification, Sender Name management,
    delivery tracking, campaign messaging,
    and webhook integrations.
  contact:
    name: Zeckta
    url: https://zeckta.com
    email: support@zeckta.com
  license:
    name: Commercial
  version: 1.0.0
servers:
  - url: https://api.zeckta.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: SMS Messaging
    description: RESTful endpoints for single and bulk SMS
  - name: Sender Names
    description: SMS sender name management
  - name: Workspace
    description: Manage and inspect workspace / account details
  - name: OTP Service
    description: RESTful endpoints for 2-Factor Authentication
paths:
  /v1/messaging/otp/request:
    post:
      tags:
        - OTP Service
      summary: Send OTP
      description: >-
        Generates a unique one-time password and delivers it to the specified
        destination number.
      operationId: request
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OtpRequest'
        required: true
      responses:
        '200':
          description: OTP sent successfully
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseOtpResponse'
        '400':
          description: Invalid request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '402':
          description: Payment Required
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '404':
          description: Not Found
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '409':
          description: Conflict
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '429':
          description: Rate limit exceeded
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '500':
          description: Internal Server Error
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
components:
  schemas:
    OtpRequest:
      type: object
      properties:
        dest:
          type: string
          pattern: ^\+[1-9]\d{7,14}$
        src:
          type: string
          maxLength: 20
          minLength: 3
        purpose:
          type: string
          enum:
            - LOGIN
            - PASSWORD_RESET
            - TRANSACTION
            - DEVICE_VERIFICATION
            - EMAIL_VERIFICATION
            - ACCOUNT_RECOVERY
            - KYC_VERIFICATION
        messageTemplate:
          type: string
          maxLength: 160
          minLength: 0
      required:
        - dest
        - purpose
        - src
    ZecktaApiResponseOtpResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          $ref: '#/components/schemas/OtpResponse'
        requestId:
          type: string
    ZecktaApiResponseObject:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
        requestId:
          type: string
    OtpResponse:
      type: object
      properties:
        sessionId:
          type: string
        expiresInSeconds:
          type: integer
          format: int64
        attemptsLeft:
          type: integer
          format: int32
        reused:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      description: 'Provide your Zeckta API Key using: Bearer YOUR_API_KEY'
      scheme: bearer
      bearerFormat: API Key

````